Complexity:

Subject: Give Booting\Sequence an identifier (e.g. for logging)

Description

The Sequence does not have an identifier, it is hard to distinguish between sequences when requests are interleaved.

Associated revisions

Revision €6947927 - 2012-09-10 12:29 - Karsten Dambekalns

[FEATURE] Add identifier to Booting\Sequence

The identifier is set in Bootstrap to "runtime" and "compiletime"

respectively.

If you wire a slot to the beforelnvokeStep and afterlnvokeStep

signals, the identifier will be handed over as second parameter

after the step instance.

Change-Id: 15e69786160013d30689044 193b2c3ef801db6ca4

Resolves: #38424
Releases: 1.2

History

#1 - 2012-07-04 09:46 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12567

#2 - 2012-09-10 12:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12567

#3 - 2012-09-10 13:35 - Karsten Dambekalns

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100
Applied in changeset commit:e69479279c5aa98905cb603df4a907d48759b9a2.
